Commit 513378a1 authored by Michał Kępień's avatar Michał Kępień

Do not install Python packages in GitLab CI jobs

As Python QA tools, BIND system test prerequisites, and documentation
building utilities are now all included in operating system images used
in GitLab CI, do not use pip for installing them in each CI job any
more.

(cherry picked from commit e3c21729)
parent 2b28dd5d
Pipeline #42318 canceled with stages
in 3 minutes and 24 seconds
......@@ -430,8 +430,6 @@ flake8:
needs:
- job: autoreconf
artifacts: true
before_script:
- pip3 install flake8
script:
- *configure
- flake8 --max-line-length=80 $(git ls-files '*.py' | grep -v 'ans\.py')
......@@ -446,10 +444,9 @@ pylint:
- job: autoreconf
artifacts: true
before_script:
- pip3 install pylint
- PYTHONPATH="$PYTHONPATH:$CI_PROJECT_DIR/bin/python"
script:
- *configure
- PYTHONPATH="$PYTHONPATH:$CI_PROJECT_DIR/bin/python"
- pylint --rcfile $CI_PROJECT_DIR/.pylintrc $(git ls-files '*.py' | grep -v 'ans\.py' | grep -v 'contrib/queryperf/')
only:
- merge_requests
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment